std::__profile::set< _Key, _Compare, _Allocator >(3)

NAME
std::__profile::set< _Key, _Compare, _Allocator > -

SYNOPSIS

Inherits set< _Key, _Compare, _Allocator >.

  Public Types
typedef _Allocator allocator_type
typedef _Base::const_iterator const_iterator
typedef _Base::const_pointer const_pointer
typedef _Base::const_reference const_reference
typedef
_Base::const_reverse_iterator const_reverse_iterator"
typedef _Base::difference_type difference_type
typedef _Base::iterator iterator
typedef _Compare key_compare
typedef _Key key_type
typedef _Base::pointer pointer
typedef _Base::reference reference
typedef _Base::reverse_iterator reverse_iterator
typedef _Base::size_type size_type
typedef _Compare value_compare
typedef _Key value_type

  Public Member Functions
set (const _Compare &__comp, const _Allocator &__a=_Allocator())
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> set (_InputIterator __first, _InputIterator __last, const _Compare &__comp=_Compare(), const _Allocator &__a=_Allocator())
set (const set &)=default
set (set &&)=default
set (initializer_list< value_type > __l, const _Compare &__comp=_Compare(), const allocator_type &__a=allocator_type())
set (const allocator_type &__a)
set (const set &__x, const allocator_type &__a)
set (set &&__x, const allocator_type &__a) noexcept(is_nothrow_copy_constructible< _Compare >::value &&_Alloc_traits::_S_always_equal())
set (initializer_list< value_type > __l, const allocator_type &__a)
template<typename _InputIterator > set (_InputIterator __first, _InputIterator __last, const allocator_type &__a)
set (const _Base &__x)
_Base & _M_base () noexcept
const _Base & _M_base () const noexcept
iterator begin () noexcept
const_iterator begin () const noexcept
const_iterator cbegin () const noexcept
const_iterator cend () const noexcept
void clear () noexcept
const_reverse_iterator crbegin () const noexcept
const_reverse_iterator crend () const noexcept
template<typename... _Args> std::pair< iterator, bool > emplace (_Args &&...__args)
template<typename... _Args> iterator emplace_hint (const_iterator __pos, _Args &&...__args)
iterator end () noexcept
const_iterator end () const noexcept
std::pair< iterator, iterator > equal_range (const key_type &__x)
std::pair< const_iterator,
const_iterator > equal_range (const key_type &__x) const "
iterator erase (const_iterator __position)
size_type erase (const key_type &__x)
iterator erase (const_iterator __first, const_iterator __last)
iterator find (const key_type &__x)
const_iterator find (const key_type &__x) const
std::pair< iterator, bool > insert (const value_type &__x)
std::pair< iterator, bool > insert (value_type &&__x)
iterator insert (const_iterator __position, const value_type &__x)
iterator insert (const_iterator __position, value_type &&__x)
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> void insert (_InputIterator __first, _InputIterator __last)
void insert (initializer_list< value_type > __l)
iterator lower_bound (const key_type &__x)
const_iterator lower_bound (const key_type &__x) const
set & operator= (const set &)=default
set & operator= (set &&)=default
set & operator= (initializer_list< value_type > __l)
reverse_iterator rbegin () noexcept
const_reverse_iterator rbegin () const noexcept
reverse_iterator rend () noexcept
const_reverse_iterator rend () const noexcept
void swap (set &__x) noexcept(_Alloc_traits::_S_nothrow_swap())
iterator upper_bound (const key_type &__x)
const_iterator upper_bound (const key_type &__x) const

Detailed Description

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>class std::__profile::set< _Key, _Compare, _Allocator >
Class std::set wrapper with performance instrumentation.

Definition at line 41 of file profile/set.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.